CKinetisFlashToolDlg Class Reference

CKinetisFlashToolDlg class is the UI Dialog class for the main page. More...

`#include <KinetisFlashToolDlg.h>`

Inheritance diagram for CKinetisFlashToolDlg:
[legend]
Collaboration diagram for CKinetisFlashToolDlg:
[legend]

## Public Types

enum | { IDD = IDD_KINETISFLASHTOOL_DIALOG }

## Public Member Functions

| CKinetisFlashToolDlg (CWnd *pParent=NULL)
| Generated standard constructor.
virtual | ~CKinetisFlashToolDlg ()
| Generated standard destructor.
afx_msg void | OnBnClickedRadio ()
| Generated message map functions.
afx_msg void | OnCbnSelchangeComboPortVid ()
afx_msg void | OnCbnSelchangeComboBaudPid ()
afx_msg void | OnKillfocusComboPortVid ()
afx_msg void | OnKillfocusComboBaudPid ()
afx_msg void | OnClickedButtonCntReset ()
afx_msg void | OnTcnSelchangeTabFunc (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg void | OnTimer (UINT_PTR nIDEvent)
afx_msg BOOL | OnDeviceChange (UINT nEventType, DWORD_PTR dwData)
afx_msg LRESULT | OnUpdateLog (WPARAM wParam, LPARAM lParam)
| User defined message map functions.
afx_msg LRESULT | OnChangeConnection (WPARAM wParam, LPARAM lParam)
afx_msg LRESULT | OnUpdateStatus (WPARAM wParam, LPARAM lParam)
void | GetPeripheralConfig (blfwkdll::Updater::PeripheralConfig *config)
| Get the PeripheralConfig of bootloader.
void | RegisterUsbDeviceInterface ()
| Register usb device interface.

## Public Attributes

CComboBox | m_comboPortOrVID
| Control variable for Com port/VID combox.
CComboBox | m_comboBaudOrPID
| Control variable for Baud rate/PID combox.
CString | m_bootloaderVersion
| Variable for device info.
CString | m_protoclVersion
| Variable for device info.
CString | m_securityState
| Variable for device info.
CString | m_flashSize
| Variable for device info.
CString | m_flashSector
| Variable for device info.
CString | m_ramSize
| Variable for device info.
CString | m_rsvRgnFlashStart
| Variable for device info.
CString | m_rsvRgnFlashEnd
| Variable for device info.
CString | m_rsvRgnRamStart
| Variable for device info.
CString | m_rsvRgnRamEnd
| Variable for device info.
CTabCtrl | m_tabFunc
| Control variable for tab control.
CString | m_log
| Variable for log text box.
CEdit | m_logCtrl
| Control variable for log textbox.
UpdateDlg | m_updateDlg
| Variable for update tab page.
FlashDlg | m_flashDlg
| Variable for flash utility tab page.
ConfigDlg | m_bootloaderConfigDLg
| Variable for config tab page.
HDEVNOTIFY | m_devNotify
| Handler for device change notify.

## Protected Member Functions

virtual void | DoDataExchange (CDataExchange *pDX)
BOOL | CanExit ()
virtual BOOL | OnInitDialog ()
| Generated message map functions.
afx_msg void | OnSysCommand (UINT nID, LPARAM lParam)
afx_msg void | OnPaint ()
afx_msg HCURSOR | OnQueryDragIcon ()
afx_msg void | OnClose ()
virtual void | OnOK ()
virtual void | OnCancel ()
| DECLARE_MESSAGE_MAP () void RefreshComPortList()
| Scan COM port and update it to UI.
void | RefreshBaudrateList ()
| Refresh baud rate list.
void | RefreshPidList ()
| Refresh PID list.
void | RefreshVidList ()
| Refresh VID list.
void | AppendLog (CString log)
| Append a new log string to the log textbox. More...
void | Reset ()
| Reset operation.
void | Connect ()
| Connect operation.

## Protected Attributes

HICON | m_hIcon

## Detailed Description

CKinetisFlashToolDlg class is the UI Dialog class for the main page.

## Member Function Documentation

void CKinetisFlashToolDlg::AppendLog | ( | CString | log | ) |

protected

Append a new log string to the log textbox.

Parameters

  Log | string.

The documentation for this class was generated from the following files:

- KinetisFlashToolDlg.h
- KinetisFlashToolDlg.cpp